admin:
  resource: "@WebsiteBundle/Resources/config/admin_routing.yml"
  prefix: /{_locale}/admin

ajax:
  resource: "@WebsiteBundle/Resources/config/ajax_routing.yml"
  prefix: /user/ajax

homepage:
  path: /{_locale}
  defaults:
    _controller: FrameworkBundle:Redirect:redirect
    _locale: "%locale%"
    route: user_login
    permanent: true
  requirements:
    _locale: "%requiredlocales%"

about_us:
  path: /{_locale}/about-us
  defaults:
    _controller: WebsiteBundle:Site/AboutUs:index
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

faq_page:
  path: /{_locale}/faq
  defaults:
    _controller: WebsiteBundle:Site/FAQ:index
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

contact_us_page:
  path: /{_locale}/contact-us
  defaults:
    _controller: WebsiteBundle:Site/ContactUs:index
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

user_login:
  path: /{_locale}/user/login
  defaults:
    _controller: WebsiteBundle:Site/Security:login
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

user_forgot_password:
  path: /{_locale}/user/forgot-password
  defaults:
    _controller: WebsiteBundle:Site/Security:forgotPassword
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

user_reset_password:
  path: /{_locale}/user/reset-password/{participantId}/{hash}
  defaults:
    _controller: WebsiteBundle:Site/Security:resetPassword
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

user_logout:
  path: /user/logout

user_home:
  path: /{_locale}/user/home
  defaults:
    _controller: WebsiteBundle:Site/User:home
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

user_statistics:
  path: /{_locale}/user/statistics
  defaults:
    _controller: WebsiteBundle:Site/User:viewStatistics
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

session_psycho_edu:
  path: /{_locale}/user/session/psycho-education
  defaults:
    _controller: WebsiteBundle:Site/Session:psychoEducation
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

session_survey:
  path: /{_locale}/user/session/survey
  defaults:
    _controller: WebsiteBundle:Site/Session:survey
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

session_tutorial:
  path: /{_locale}/user/session/tutorial
  defaults:
    _controller: WebsiteBundle:Site/Session:tutorial
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

session_test:
  path: /{_locale}/user/session/test
  defaults:
    _controller: WebsiteBundle:Site/Session:test
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

session_mood_questions:
  path: /{_locale}/user/session/mood-questions
  defaults:
    _controller: WebsiteBundle:Site/Session:moodQuestions
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

session_reminder:
  path: /{_locale}/user/session/reminder
  defaults:
    _controller: WebsiteBundle:Site/Session:reminder
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"

survey_redirect:
  path: /{_locale}/user/session/redirect
  defaults:
    _controller: WebsiteBundle:Site/Session:redirect
    _locale: "%locale%"
  requirements:
    _locale: "%requiredlocales%"
